Get Certificate
Retrieve a certificate using the token and either a certificate ID or UDID. Smart selection applies when querying by UDID
/api/getcertificateParametry żądania
Wszystkie parametry mogą być przekazywane za pośrednictwem zapytania lub ciała
| Parametr | Rodzaj | Wymagane | Opis |
|---|---|---|---|
token | string | Wymagane | User API token Przykład: your_api_token_here |
id | string | Opcjonalnie | Certificate ID. Either id or udid is required. If both are provided, id takes priority Przykład: AB12CD34 |
udid | string | Opcjonalnie | Device UDID. Either id or udid is required. Smart selection applies when querying by UDID Przykład: 00008020-001A2B3C4D5E6F78 |
Odpowiedź
| Parametr | Rodzaj | Wymagane | Opis |
|---|---|---|---|
code | number | Wymagane | Status code: 1=success, 0=failure, 2=no available certificate, 3=certificate expired Przykład: 1 |
msg | string | Wymagane | Response message Przykład: 返回成功 |
time | number | Wymagane | Server timestamp (Unix seconds) Przykład: 1769675945 |
data | object | Wymagane | Response payload |
data.id | string | Wymagane | Certificate ID Przykład: AB12CD34 |
data.pname | string | Wymagane | Project name Przykład: MyApp |
data.addtime | number | Wymagane | Added time (Unix timestamp) Przykład: 1706500000 |
data.pool | number | Wymagane | Pool: 0=public, 1=private Przykład: 0 |
data.type | number | Wymagane | Pool type: 0=public, 1=private Przykład: 0 |
data.mobileprovision | string | Wymagane | Base64-encoded mobileprovision Przykład: MIIPhgYJKoZIhvcNAQcCoII...(Base64) |
data.p12 | string | Wymagane | Base64-encoded P12 certificate Przykład: MIINDgIBAzCCDMsGCSqGSIb3DQEHAa...(Base64) |
data.state | boolean | Wymagane | Certificate validity: true=valid, false=revoked Przykład: true |
data.warranty | boolean | Wymagane | Whether warranty is active Przykład: true |
data.warranty_time | number | Wymagane | Warranty expiration time (Unix timestamp) Przykład: 1738000000 |
data.shtype | number | Wymagane | Warranty type: 0/1/2/3/4/6 Przykład: 1 |
ysucc | string | Wymagane | Success flag, returns "Ysucc" on success Przykład: Ysucc |
Kod błędu
000Język odpowiedzi
Dostosuj język odpowiedzi API do nagłówka X- Lang. Poniższe przykłady kodów automatycznie korzystają z aktualnego języka strony.
X-Lang: plzh, en, zh-TW, vi, ar, es, ruObsługiwane jest również Accept- Language; X- Lang ma pierwszeństwo. Nieobsługiwane języki podążają za zapasami języka strony.
Przykłady kodów
curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/getcertificate?token=your_api_token_here&id=AB12CD34&udid=00008020-001A2B3C4D5E6F78" \
-H "X-Lang: pl"Uwagi
- 支持 GET 和 POST 请求
- 参数通过 Query 或 x-www-form-urlencoded 传递
- id 和 udid 二选一,同时提供时优先使用 id
- 通过 UDID 查询时智能选择最佳证书:优先返回正常状态,其次返回掉签但未禁用的证书
- state=false 表示证书已掉签,但仍可下载使用(可能无法安装应用)
- warranty_time 为售后到期时间,到期后如掉签需要重新买
Spróbuj w konsoli
Wypełnij poniższe parametry i wyślij wniosek o przetestowanie. Żądania są kierowane tylko do API tej witryny; adres URL jest zablokowany i nie może być zmieniony, a obecne pliki cookie logowania są włączone.
https://testypro.iwai.cc/api/getcertificate?token=your_api_token_here&id=AB12CD34&udid=00008020-001A2B3C4D5E6F78Zamknięte na tej stronieUser API token
Certificate ID. Either id or udid is required. If both are provided, id takes priority
Device UDID. Either id or udid is required. Smart selection applies when querying by UDID